## atig 0.4.5

=== requirements.txt ===
Jinja2==2.7.1
MarkupSafe==0.18
Pygments==1.6
Sphinx==1.2b3
docutils==0.11

=== debian/changelog ===
atig (0.4.5-1) unstable; urgency=low

  * Initial release (Closes: #670130)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 25 Oct 2013 02:39:44 +0900

=== debian/control ===
Source: atig
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~),
 rake,
 ruby-rspec,
 ruby-sqlite3,
 ruby-net-irc,
 ruby-oauth,
 ruby-twitter-text
Standards-Version: 3.9.4
Homepage: http://mzp.github.io/atig/index.html
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/atig.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/atig.git;a=summary
XS-Ruby-Versions: all

Package: atig
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
 ruby-sqlite3,
 ruby-net-irc,
 ruby-oauth,
 ruby-twitter-text
Description: Another Twitter IRC gateway
 Atig.rb is Twitter Irc Gateway. You can tweet via your favorite IRC
 client.
 .
 Feature:
  - OAuth authentication
  - CTCP Action: reply, retweet, search, thread...
  - List, Mention, Retweet as IRC channel
  - Twitter StreamAPI support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#PKG_DIR := $(CURDIR)/debian/ruby-atig

%:
	dh $@ --with ruby --buildsystem ruby

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/*.db

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/atig .*/atig-(.*).tar.gz

## atig 0.6.1

=== debian/changelog ===
atig (0.6.1-8) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Fix FTBFS with ruby-rspec-3.12 (Closes: #1027066).
  * d/control: update Homepage.
  * d/control: Drop XS-Ruby-Version and XB-Ruby-Version.
  * Bump Standards-Version to 4.6.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 01 Jan 2023 23:07:53 +0900

atig (0.6.1-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Change Architecture to all. (Closes: #982584)

  [ Daniel Leidert ]
  * Fix watch file

  [ Youhei SASAKI ]
  * Refresh patches, import upstream changes (Closes: #996114)
  * d/watch: bump version 4
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 26 Feb 2021 00:41:48 +0900

atig (0.6.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Cédric Boutillier ]
  * [ci skip] Update team name
  * [ci skip] Add .gitattributes to keep unwanted files out of the source
    package

  [ Youhei SASAKI ]
  * Update DEP-3 header

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 10 Sep 2020 10:43:10 +0900

atig (0.6.1-5) unstable; urgency=medium

  * Add patch: Fix error on ruby 2.7 (Closes: #952073)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Feb 2020 13:21:13 +0900

atig (0.6.1-4) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml
  * Update d/ch

  [ Youhei SASAKI ]
  * Add patch: drop coverall for repro. build
  * d/{control,compat}: use debhelper-compat
  * d/control: Bump Standard Version 4.5.0
  * Add d/control: Add Rules-Requires-Root

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 14 Feb 2020 15:49:56 +0900

atig (0.6.1-3) unstable; urgency=medium

  * d/control: Update Vcs-{Git,Browser}. use salsa
  * d/control: Bump Standard-Version 4.2.1
  * d/control: Bump compat 11
  * d/copyright: fix insecure-copyright-format-uri
  * d/rules: remove -trailing-whitespace

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 19 Dec 2018 17:57:33 +0900

atig (0.6.1-2) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * Fix RC: db.execute VACUUM for empty db (Closes: #841574)
  * Bump Standard Version: 3.9.8

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 10 Nov 2016 20:53:42 +0900

atig (0.6.1-1) unstable; urgency=medium

  * Imported Upstream version 0.6.1
  * Refresh patches
  * Follow upstream name change
  * Bump Standard version: 3.9.7
  * Fix lintian warning: vcs-field-uses-insecure-uri

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 25 Feb 2016 15:18:01 +0900

atig (0.5.0-1) unstable; urgency=medium

  * Imported Upstream version 0.5.0
  * Refresh patches:
    + Add patch: replace git execution from gemspec

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 27 Dec 2015 14:05:56 +0900

atig (0.4.5-2) unstable; urgency=medium

  * Update patches: import upstream Git HEAD
    + use rspec >= 3 (Closes: #794137)
  * Update Build-Depends: add ruby-coveralls
  * Bump Standard version: 3.9.6
  * Bump Compat: 9

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Oct 2015 22:58:00 +0900

=== debian/control ===
Source: atig
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               rake,
               ruby-coveralls,
               ruby-net-irc,
               ruby-oauth,
               ruby-rspec,
               ruby-sqlite3,
               ruby-twitter-text
Standards-Version: 4.6.1
Homepage: https://atig.github.io/
Vcs-Git: https://salsa.debian.org/ruby-team/atig.git
Vcs-Browser: https://salsa.debian.org/ruby-team/atig
Rules-Requires-Root: no

Package: atig
Architecture: all
Depends: ${ruby:Depends},
         ruby-net-irc,
         ruby-oauth,
         ruby-sqlite3,
         ruby-twitter-text,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Another Twitter IRC gateway
 Atig.rb is Twitter Irc Gateway. You can tweet via your favorite IRC
 client.
 .
 Feature:
  - OAuth authentication
  - CTCP Action: reply, retweet, search, thread...
  - List, Mention, Retweet as IRC channel
  - Twitter StreamAPI support

=== debian/watch ===
version=4
opts=filenamemangle=s/v?(\d\S*)\.tar\.gz/atig-$1\.tar\.gz/ \
  https://github.com/atig/atig/tags .*/v?(\d\S*)\.tar\.gz
